Users
List Users
List all users for the authenticated reseller, including both provisioned and linked users. Can filter by organization using query parameter.
GET
/
users
List Users
curl --request GET \
--url https://answeringagent.com/api/v1/users \
--header 'X-API-KEY: <api-key>'import requests
url = "https://answeringagent.com/api/v1/users"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://answeringagent.com/api/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"external_id": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"organizations": [
{
"id": 123,
"name": "<string>"
}
]
}
]{
"error": "API key is required"
}Authorizations
Query Parameters
Filter users by organization ID
Response
Array of users
Internal user ID
External identifier provided by the reseller
User's email address
User's display name
When the user was created
When the user was last updated
Organizations this user belongs to with their role
Show child attributes
Show child attributes
⌘I
List Users
